extends Node2D


const SceneBalle = preload("res://composants/objets/balle/balle.tscn")


func _ready() -> void:
	lancer_balle()


func lancer_balle() -> void:
	var nouvelle_balle: Balle = SceneBalle.instantiate()
	add_child(nouvelle_balle)
	nouvelle_balle.sortie_ecran.connect(_quand_balle_sort)


func _quand_balle_sort() -> void:
	lancer_balle()
